Projects / gtkmsn / Comments

Comments for gtkmsn

01 Aug 2002 10:09 deufeufeu

Re: Can't detect GTK 2
Really sorry guys I was undergoing really hard exams so I let this buggy version live by itself...
But I'm now working on a new version, from now a lot of bug have been fixed but I'm working on a better interface, probably using libevas from e17 so expect a working and beautiful client ;)
For all problems with path, I know it, it's because the constant PATHs from autotools are not the same on all distro, I've made debian complient source, so for new versions I will make rpms...
If one u want to do it, it would be greeeeeeeeeeeat lol


> checking for GTK+ - version >=
> 2.0.0... no
>
> I do have GTK 2.0.1 installed on my PC.
> I used the RPMs that were on the GTK
> page and I have Mandrake 8.2 What can I
> do to get the program to work? Do I need
> to edit something in the configure file
> for it to detect GTK 2?


17 Apr 2002 06:59 cavey

Re: Can't detect GTK 2

> checking for GTK+ - version >=
> 2.0.0... no
>
> I do have GTK 2.0.1 installed on my
> PC. I used the RPMs that were on the GTK
> page and I have Mandrake 8.2 What can I
> do to get the program to work? Do I need
> to edit something in the configure file
> for it to detect GTK 2?

Well, I had the same trouble. With gtk/glib/atk/pango compiled from source.
What I did was check out /etc/ld.so.conf and put
a line with /usr/local/include/glib-2.0 in there (depends on your glib/gtk install!!) and ran ldconfig.

Furthermore, the distribution for gtkmsn is a bit flawed.. it has some stale config files.
What I did to get pkg-config working was edit the config.cache file to set the correct paths (/usr/local/bin) for the pkg-config and gtk-config files.

Removing config.cache and re-running ./configure should help too, haven't tried that yet as it worked after tweaking the cache file (long live fgrep :)

Hope this is helpfull to you guys.
It takes a bit of tweaking to get the paths right and all.

14 Apr 2002 20:03 gazigi

Re: Can't detect GTK 2

> i got the same error :(
>
>
> % checking for GTK+ - version >=
> % 2.0.0... no
> %
> % I do have GTK 2.0.1 installed on
> my
> % PC. I used the RPMs that were on the
> GTK
> % page and I have Mandrake 8.2 What
> can I
> % do to get the program to work? Do I
> need
> % to edit something in the configure
> file
> % for it to detect GTK 2?
>
>
>


I guess that we will be waiting for the next version of our Linux distro then. For now I'm just going to use ccmsn.

14 Apr 2002 07:36 techefnet

Re: Can't detect GTK 2
i got the same error :(


> checking for GTK+ - version >=
> 2.0.0... no
>
> I do have GTK 2.0.1 installed on my
> PC. I used the RPMs that were on the GTK
> page and I have Mandrake 8.2 What can I
> do to get the program to work? Do I need
> to edit something in the configure file
> for it to detect GTK 2?


14 Apr 2002 04:33 gazigi

Can't detect GTK 2
checking for GTK+ - version >= 2.0.0... no

I do have GTK 2.0.1 installed on my PC. I used the RPMs that were on the GTK page and I have Mandrake 8.2 What can I do to get the program to work? Do I need to edit something in the configure file for it to detect GTK 2?

Screenshot

Project Spotlight

ReciJournal

An open, cross-platform journaling program.

Screenshot

Project Spotlight

Veusz

A scientific plotting package.